Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

Get all options for deck lights setting

Request

Retrieves all available options for deck lights setting

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/lighting/deck-lights-setting-options' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The list of all options for deck lights setting

Bodyapplication/json
idinteger(int32)

The id of the deck lights setting option

descriptionstring or null

The description of the deck lights setting option

displayNamestring or null

The display name of the deck lights setting option

namestring or null

The name of the deck lights setting option

Response
application/json
{ "id": 0, "description": "string", "displayName": "string", "name": "string" }

Get the current global lighting settings

Request

Retrieves the global lighting settings that are currently set

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/lighting' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The list of current global light settings

Bodyapplication/json
disableErrorLightsboolean

Flag to disable or enable error lights

deckLightsSettinginteger(int32)(DeckLightsSetting)
Enum"AlwaysEnable""DisableAfterDeckVerification""DisablePriorToRun""AlwaysDisable"
Response
application/json
{ "disableErrorLights": true, "deckLightsSetting": "AlwaysEnable" }

Update the global lighting settings

Request

Updates the global lighting settings

Security
Bearer
Body
disableErrorLightsboolean

Flag to disable or enable error lights

deckLightsSettinginteger(int32)(DeckLightsSetting)
Enum"AlwaysEnable""DisableAfterDeckVerification""DisablePriorToRun""AlwaysDisable"
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/lighting' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "disableErrorLights": true,
    "deckLightsSetting": "AlwaysEnable"
  }'

Responses

The global lighting settings were updated successfully

Bodyapplication/json
string
Response
application/json
"string"

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations